class Issue < Octokom::Command
  sub_command 'create', 'Create a GitHub issue.' do
    option ['--title',  '-t'], 'Title for the issue.'
    option ['--desc',   '-d'], 'Description for the issue.'
    option ['--repo',   '-r'], 'The GitHub repository you want to update. (e.g. mjio/octokom)'
    flag   ['--editor', '-e'], 'Open the editor even when the issue title is set.'

    execute do
      @repo ||= git.repo_path

      if @editor || @title.blank?
        @title, @desc = Octokom::Editor.open(git, @title, @desc)
      end

      if @title.blank?
        error('The title can not be empty')
      end

      authenticate do |auth|
        task("Create issue #{@repo}") do
          auth.client.create_issue(@repo, @title, @desc) unless dry_run?
        end
      end
    end
  end
end
